import { Download } from '@/utils';
declare const _default: __VLS_WithSlots<import("vue").DefineComponent<{
    downloads?: Download[];
    description?: string;
}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    download: (data: MouseEvent) => any;
}, string, import("vue").PublicProps, Readonly<{
    downloads?: Download[];
    description?: string;
}> & Readonly<{
    onDownload?: ((data: MouseEvent) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>, {
    media?: (props: {}) => any;
} & {
    default?: (props: {}) => any;
} & {
    bottom?: (props: {}) => any;
}>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
